org.modeshape.jcr.query.model

## Class DescendantNodeJoinCondition

- java.lang.Object
- - org.modeshape.jcr.query.model.DescendantNodeJoinCondition

- All Implemented Interfaces:
    Serializable, DescendantNodeJoinCondition, JoinCondition, LanguageObject, Visitable

      @Immutable
      public class DescendantNodeJoinCondition
      extends Object
      implements JoinCondition, DescendantNodeJoinCondition

  A join condition that evaluates to true only when the named node is a descendant of another named node.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescendantNodeJoinCondition(SelectorName ancestorSelectorName, SelectorName descendantSelectorName)` Create a join condition that determines whether the node identified by the descendant selector is indeed a descendant of the node identified by the ancestor selector.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
    `SelectorName` | `ancestorSelectorName()` Get the name of the selector for the ancestor node.
    `SelectorName` | `descendantSelectorName()` Get the name of the selector for the descedant node.
    `boolean` | `equals(Object obj)`
    `String` | `getAncestorSelectorName()`
    `String` | `getDescendantSelectorName()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DescendantNodeJoinCondition

          public DescendantNodeJoinCondition(SelectorName ancestorSelectorName,
                                     SelectorName descendantSelectorName)

      Create a join condition that determines whether the node identified by the descendant selector is indeed a descendant of the node identified by the ancestor selector.
      Parameters:
        `ancestorSelectorName` - the name of the ancestor selector
        `descendantSelectorName` - the name of the descendant selector

  - ### Method Detail

    - #### descendantSelectorName

          public final SelectorName descendantSelectorName()

      Get the name of the selector for the descedant node.
      Returns:
        the selector name of the descendant node; never null

    - #### ancestorSelectorName

          public final SelectorName ancestorSelectorName()

      Get the name of the selector for the ancestor node.
      Returns:
        the selector name of the ancestor node; never null

    - #### getAncestorSelectorName

          public String getAncestorSelectorName()

      Specified by:
        `getAncestorSelectorName` in interface `DescendantNodeJoinCondition`

    - #### getDescendantSelectorName

          public String getDescendantSelectorName()

      Specified by:
        `getDescendantSelectorName` in interface `DescendantNodeJoinCondition`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### accept

          public void accept(Visitor visitor)

      Description copied from interface: `Visitable`
      Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
      Specified by:
        `accept` in interface `Visitable`
      Parameters:
        `visitor` - the visitor; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.